Package org.pushingpixels.substance.flamingo.ribbon.gallery.oob

# Class SkinResizableIcon

java.lang.Object
org.pushingpixels.flamingo.api.common.icon.LayeredIcon
org.pushingpixels.substance.flamingo.ribbon.gallery.oob.SkinResizableIcon

All Implemented Interfaces:
  `Icon`, `org.pushingpixels.flamingo.api.common.icon.ResizableIcon`

public class SkinResizableIcon extends org.pushingpixels.flamingo.api.common.icon.LayeredIcon
Resizable icon for Substance skins.

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.api.common.icon.LayeredIcon

`layers`

## Constructor Summary

Constructors
Constructor
Description
`SkinResizableIcon(org.pushingpixels.substance.api.SubstanceSkin skin, int startWidth, int startHeight)`
Creates a new icon.

## Method Summary

### Methods inherited from class org.pushingpixels.flamingo.api.common.icon.LayeredIcon

`getIconHeight, getIconWidth, paintIcon, setDimension`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkinResizableIcon

public SkinResizableIcon(org.pushingpixels.substance.api.SubstanceSkin skin, int startWidth, int startHeight)
Creates a new icon.

Parameters:
  `skin` - Associated skin.
  `startWidth` - Original width in pixels.
  `startHeight` - Original heigth in pixels.